0

I am using Ubuntu 14.04 (previously linux kernel 4.2).Today I got a security update message and allowed it and now my linux kernel version is 4.4 and when I opened Details option from settings,it shows graphics device to be "Gallium 0.4 on llvmpipe (LLVM 3.8, 128 bits)".I read about it and saw many bad reviews.Then I played a movie using VLC and performance seemed a lot laggy.

What should I do now?

1

1 Answer 1

0

After I got the message of the eol of the hardware enablement, I updated via software updater and ended up with Linux 4.4 and a non-working graphics system. To boot, I had to go via recovery and got the software driver without acceleration (llvmpipe). There seems to be no driver available that can work with this kernel. I solved it by installing a 4.5.3 kernel from "http://kernel.ubuntu.com/~kernel-ppa/mainline/". I now am using the open-source drivers, graphics is shown as "Gallium 0.4 on AMD ARUBA (DRM 2.43.0, LLVM 3.8.0)"

1
  • I am stuck with 4.2 for now. using fglrx and so far quite happy with the performance...wont be upgrading to xenial anytime soon unless they fix this weird issue Sep 1, 2016 at 17:27

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.